GAUCHE-CESCONV(1)

NAME
gauche-cesconv - convert text from one character encoding scheme to another

SYNOPSIS

gauche-cesconv [-h] [-f encoding] [-t encoding] [-o outfile] [infile]

DESCRIPTION

The gauche-cesconv command is a program to convert text from one character encoding scheme (CES) to another, using Gauche's character conversion module. Hence the supported character sets are the same as Gauche's. See the info document of Gauche for more details.

There are other commands that provide the same functionality and more, such as iconv(1) or nkf(1), but they are not universally available by default. This command is provided for Gauche's external packages to ease the installation and configuration process; for those packages, it is certain that gauche-cesconv is available, so they don't need to check availability of iconv etc.

When infile is omitted, the text is read from standard input.

OPTIONS

-f, --from-code=encoding
    Selects input encoding. Can be '*JP' to guess the character encoding from japanese text, among either ISO2022-JP(-1,2,3), EUCJP, SHIFT_JIS or UTF-8. If omitted, gauche's native CES is used.

-h, --help
    Show summary of options.

-o, --output=outfile
    Place output in file outfile. If omitted the converted text is written to standard output.

-t, --to-code=encoding
    Selects output encoding. (see also --from-code)

DIAGNOSTICS

gauche-cesconv exits with status 0 on success.

SEE ALSO

gauche-package(1), iconv(1)

The program will be documented fully by the Gauche Developers' Reference available via the info(1) system.

AUTHORS

Shiro Kawai <shiro@acm.org>

    Author.

Jens Thiele <karme@karme.de>

    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2010 Jens Thiele

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.